scala.xml

# include

#### package include

Visibility

1. Public
2. All

### Type Members

1. #### class CircularIncludeException extends XIncludeException

   A `CircularIncludeException` is thrown when an included document attempts to include itself or one of its ancestor documents.

2. #### class UnavailableResourceException extends XIncludeException

   An `UnavailableResourceException` is thrown when an included document cannot be found or loaded.

3. #### class XIncludeException extends Exception

   `XIncludeException` is the generic superclass for all checked exceptions that may be thrown as a result of a violation of XInclude's rules.

### Value Members

1. #### package sax